require "sentinel_api/version"
require 'sentinel_api/configuration'
require 'sentinel_api/notifier'
require 'sentinel_api/client'
require 'forwardable'

module SentinelApi
  PUBLIC_NOTIFIER_METHODS = %w(warn info error).freeze
  class << self
    extend Forwardable

    def_delegators :notifier, *PUBLIC_NOTIFIER_METHODS

    def configuration
      @configuration ||= Configuration.new
    end

    def configure
      yield(configuration)
    end

    def notifier
      Notifier
    end

    def default_logger
      configuration.default_logger
    end
  end
end
